Skip to main content
POST
/
v2
/
account
/
payment-session
/
preferences
Save payment-session preferences
curl --request POST \
  --url https://api.example.com/v2/account/payment-session/preferences \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalId": "<string>",
  "paymentOptions": [
    {
      "amount": 123,
      "currency": "<string>",
      "paymentMethod": "<string>"
    }
  ],
  "outputCurrency": "<string>",
  "linkExpirationValue": 123,
  "appearance": {
    "accent": "<string>",
    "accentForeground": "<string>",
    "background": "<string>",
    "border": "<string>",
    "card": "<string>",
    "destructive": "<string>",
    "foreground": "<string>",
    "input": "<string>",
    "locale": "<string>",
    "logoUrl": "<string>",
    "mutedForeground": "<string>",
    "popover": "<string>",
    "primary": "<string>",
    "primaryForeground": "<string>",
    "radius": "<string>",
    "ring": "<string>",
    "secondary": "<string>",
    "secondaryForeground": "<string>",
    "showBrlaLogo": true,
    "showPoweredBy": true,
    "widgetBackground": "<string>"
  }
}
'
{
  "error": "<string>"
}

Save payment-session preferences

POST request to /v2/account/payment-session/preferences

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

Body

application/json
externalId
string
paymentOptions
object[]
outputCurrency
string
Available options:
MINUTE,
HOUR,
DAY
appearance
object

Response

OK